Mason::Exceptions(3pm)

NAME
Mason::Exceptions - Exception objects thrown by Mason

DESCRIPTION
This module creates the exception classes used by Mason. Mason only throws exception objects to communicate something specific to code catching the exception; otherwise it is content to die with a string.

EXCEPTIONS

Mason::Exception::Abort
    The "$m->abort" method was called.

    Exceptions in this class contain the field "aborted_value".

Mason::Exception::TopLevelNotFound
    The requested top level component passed to exec() could not be found. In a web environment, this could be used to determine that a 404 should be returned.

SEE ALSO
Mason

AUTHOR
Jonathan Swartz <swartz@pobox.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Jonathan Swartz.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.